AutoCAD에서 경로를 따라 돌출된 솔리드 추가

이 기사에서는 AddExtrudedSolidAlongPath 방법에 대해 설명합니다. 이것은 Python에서 AutoCAD 자동화 시리즈의 일부입니다.

AddExtrudedSolidAlongPath 메서드는 기본적으로 2D 개체를 특정 방향/경로로 안내하여 2D 개체에서 단단한 개체를 만드는 데 사용됩니다.

AutoCAD에서 솔리드 객체를 생성하기 위한 전제 조건

첫째, 2D 평면에서 솔리드 객체를 생성하려면 한 평면에 영역이 필요하고 영역 객체가 돌출 될 경로가 필요합니다 .

영역과 경로는 3D 개체가 되는 서로 다른 평면에 있어야 한다는 점을 기억해야 합니다.

또한 Python을 사용하여 AutoCAD에서 영역 을 생성하는 방법에 대한 내 기사를 확인하십시오 .

c1 = acad.AddCircle(ap(100, 100, 0), 50)
c2 = acad.AddCircle(ap(100, 100, 0), 45)

r1 = acad.AddRegion(win32com.client.VARIANT(VT_ARRAY | VT_DISPATCH, (c1, c2)))

a1 = acad.AddLine(ap(1000, 1000, 0), ap(1000, 1000, 1500))
Z축으로 확장되는 경로로 안내할 원과 선의 2D 영역

AutoCAD 영역 및 경로를 사용하여 솔리드 개체 만들기

알다시피 AddRegion 메서드는 영역 개체를 반환하지 않고 해당 영역(Variant)에 있는 개체의 배열을 반환합니다.

이로 인해 드로잉을 반복하여 영역 개체를 가져오고 이를 사용하여 솔리드 개체를 만들어야 합니다.

for obj in acad:
    if obj.ObjectName=="AcDbRegion":
        acad.AddExtrudedSolidAlongPath(obj, a1)
AutoCAD 돌출을 위해 Python에서 AddExtrudedSolidAlongPath 사용

마지막으로 2D 영역을 확장하는 경로를 따라 솔리드 개체를 만드는 방법입니다.

맺음말 및 관련 내용

AutoCAD 자동화를 다루는 추가 블로그 게시물은 pyautocad 및 pywin32와 관련된 다른 블로그 게시물을 확인하십시오. 궁금한 사항은 아래 댓글로 남겨주세요. 기술 지원이 필요하면 언제든지 저에게 연락하십시오. 문의 양식 을 사용하여 그렇게 할 수 있습니다 .

다음은 Python에서 AutoCAD 자동화 및 AutoCAD 스크립팅을 다루는 몇 가지 관련 문서입니다.

Leave a Reply

답글 남기기

이메일 주소는 공개되지 않습니다. 필수 필드는 *로 표시됩니다

이 사이트는 스팸을 줄이는 아키스밋을 사용합니다. 댓글이 어떻게 처리되는지 알아보십시오.

Close

메타